CFLAGS		=	 /preffix=all/nowarn
! /lis /noopt/debu /lis

SERVER_OBJS	=	radiusd.oBJ,dict.oBJ,users.oBJ,util.oBJ,-
			md5.OBJ,attrprint.OBJ,acct.obj,version.obj,-
			vms_stuff.obj,log.obj,menu.obj
TEST_OBJS	=	rt.obj,dict.obj,log.obj,md5.obj,util.obj,-
			vms_stuff.obj,attrprint.obj

SERVER_SRCS	=	radiusd.c,dict.c,users.c,util.c,md5.c,attrprint.c,-
			acct.c,version.c,vms_stuff.c,log.c,menu.c,rt.c

IPASS_SRCS	=	ipass_fetch.c
IPASS_OBJS	=	ipass_fetch.obj

INCLUDES	=	radius.h,conf.h,users.h,md5.h, lgidef.h

TARGET		=	radiusd.exe, rt.exe, ipass_fetch.exe

!________________________________________________________________

All	:$(TARGET)


radiusd.exe	: $(SERVER_OBJS)
	link /exe=radiusd.exe $(SERVER_OBJS) /trace
! /deb/trace

rt.exe		: $(TEST_OBJS)
	link /exe=rt.exe $(TEST_OBJS)

ipass_fetch.exe	: $(ipass_objs)
	link /exe=ipass_fetch.exe $(ipass_OBJS)


!________________________________________________________________
vms_uaf.obj	: vms_stuff.c
radiusd.obj	: radiusd.c, $(INCLUDES)
acct.obj	: acct.c, $(INCLUDES)
attrprint.obj	: attrprint.c, $(INCLUDES)
dict.obj	: dict.c, $(INCLUDES)
users.obj	: users.c $(INCLUDES)
usersdbm.obj	: users.c, $(INCLUDES)
util.obj	: util.c,$(INCLUDES)
version.obj	: version.c,$(INCLUDES)
md5.obj		: md5.c,md5.h
!________________________________________________________________

clean		:
	del *.obj;*  , *.exe;*  ,  *.lis;*
purge		:
	del *.obj;*  , *.lis;*

kit		:
	zip  radius201.zip /NODIRNAME $(SERVER_SRCS),$(INCLUDES),- 
descrip.mms,RADIUS_VMS.PORTING_NOTES,DICTIONARY., USERS.
	zip  radius201.zip RADIUS_STARTUP.COM, RADIUS_START.COM
	zip  radius201.zip	$(ipass_srcs)
	zip  radius201.zip	RADIUS_ACCOUNTING.FDL,RADIUS_ACCOUNTING_NEW.COM
